from pyfirmata import Arduino, util
from math import log

def obter_temp_celsius (valor):
  tempK = log(10000.0 * (1.0 / valor - 1))
  tempK = 1 / (0.001129148 + (0.000234125 + (0.0000000876741 * tempK * tempK )) * tempK)
  tempC = tempK - 273.15
  return tempC

arduino = Arduino('COM3')
it = util.Iterator(arduino)
it.start()
termistor = arduino.get_pin('a:0:i')
termistor.enable_reporting()
while True:
  valor = str(termistor.read())
  if valor != 'None':
    valor = float(valor)
    print (round(obter_temp_celsius(valor), 1), '°C')
    arduino.pass_time(5.0)
