import PySimpleGUI as sg
from pyfirmata import Arduino, util
from math import log

def obter_temp_celsius (valor):
  tempK = log(10000.0 * (1.0 / valor - 1))
  tempK = 1 / (0.001129148 + (0.000234125 + (0.0000000876741 * tempK * tempK )) * tempK)
  tempC = tempK - 273.15
  return tempC

arduino = Arduino('COM3')
it = util.Iterator(arduino)
it.start()
termistor = arduino.get_pin('a:0:i')
termistor.enable_reporting()

layout = [[sg.Text('Temperatura')],
  [ sg.ProgressBar(100, orientation='v', size=(40, 40), key='barra'),
    sg.Text('...°C', size=(100, 100), pad=(0, 80), font='Arial 48', key='temp')]
]

janela = sg.Window('Python + Arduino', layout, size=(300, 300))
barra = janela['barra']
temp = janela['temp']
while True:
  evento, dados = janela.read(timeout=1000)
  valor = str(termistor.read())
  if valor != 'None':
    valor = float(valor)
    barra.UpdateBar(round(obter_temp_celsius(valor), 1))
    temp.Update(value=str(round(obter_temp_celsius(valor), 1)) + '°C')
  if evento == sg.WIN_CLOSED:
    break
janela.close()